#!/bin/sh
set -ev

# Remove service
rm -f /etc/init.d/odoo10
rc-update -u

# Drop database and user
[ ! -e /run/openrc/started/postgres ] && service postgres start && STOP_POSTGRES=1
echo 'DROP DATABASE IF EXISTS odoo10; DROP ROLE IF EXISTS odoo10;' | lxc-attach -u 5432 -g 5432 postgres -- psql
[ ! -z ${STOP_POSTGRES} ] && service postgres stop

exit 0
